src/AdminBundle/Entity/Photo.php
<?php

namespace AdminBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\HttpFoundation\File\UploadedFile;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * Photo
 *
 * @ORM\Table(name="photo")
 * @ORM\Entity(repositoryClass="AdminBundle\Repository\PhotoRepository")
 * @ORM\HasLifecycleCallbacks
 */
class Photo
{
  /**
  * @ORM\ManyToOne(targetEntity="AdminBundle\Entity\Salle", inversedBy="photos")
  */
  private $salle;

    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="url", type="string", length=255, nullable=true)
     */
    private $url;

    /**
     * @var string
     *
     * @ORM\Column(name="alt", type="string", length=255, nullable=true)
     */
    private $alt;

    /**
     * @Assert\File(
     *      maxSize="10M",
     *      maxSizeMessage = "Le fichier choisi est trop grand"
     * )
     */
    public $file;
    public $tempFilename;

    public function setFile(UploadedFile $file) {
        $this->file = $file;
        if (null !== $this->url) {
            $this->tempFilename = $this->url;
            $this->url = null;
        }
    }

    /**
     * @ORM\PrePersist()
     * @ORM\PreUpdate()
     */
    public function preUpload() {
        if (null === $this->file) {
            return;
        }
        $this->url = $this->file->guessExtension();
        $this->alt = $this->file->getClientOriginalName();
    }

    /**
     * @ORM\PostPersist()
     * @ORM\PostUpdate()
     */
    public function upload() {
        if (null === $this->file) {
            return;
        }
        if (null !== $this->tempFilename) {
            $oldFile = $this->getUploadRootDir() . '/' . $this->id . '.' . $this->tempFilename;
            if (file_exists($oldFile)) {
                unlink($oldFile);
            }
        }
        $this->file->move($this->getUploadRootDir(), $this->id . '.' . $this->url);
    }

    /**
     * @ORM\PreRemove()
     */
    public function preRemoveUpload() {
        $this->tempFilename = $this->getUploadRootDir() . '/' . $this->id . '.' . $this->url;
    }

    /**
     * @ORM\PostRemove()
     */
    public function removeUpload() {
        if (file_exists($this->tempFilename)) {
            unlink($this->tempFilename);
        }
    }

    public function getUploadDir() {
        return 'uploads/photos';
    }

    protected function getUploadRootDir() {
        return __DIR__ . '/../../../web/' . $this->getUploadDir();
    }

    public function getWebPath() {
        return $this->getUploadDir() . '/' . $this->getId() . '.' . $this->getUrl();
    }

    public function getIbWebPath() {
        return $this->getUploadDir() . '/' . $this->getId() . '-ib.' . $this->getUrl();
    }

    public function getImageSize(){
        return getimagesize($this->getWebPath());
    }


    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set url
     *
     * @param string $url
     * @return Photo
     */
    public function setUrl($url)
    {
        $this->url = $url;

        return $this;
    }

    /**
     * Get url
     *
     * @return string
     */
    public function getUrl()
    {
        return $this->url;
    }

    /**
     * Set alt
     *
     * @param string $alt
     * @return Photo
     */
    public function setAlt($alt)
    {
        $this->alt = $alt;

        return $this;
    }

    /**
     * Get alt
     *
     * @return string
     */
    public function getAlt()
    {
        return $this->alt;
    }

    /**
     * Set salle
     *
     * @param \AdminBundle\Entity\Salle $salle
     * @return Photo
     */
    public function setSalle(\AdminBundle\Entity\Salle $salle = null)
    {
        $this->salle = $salle;

        return $this;
    }

    /**
     * Get salle
     *
     * @return \AdminBundle\Entity\Salle
     */
    public function getSalle()
    {
        return $this->salle;
    }
}

src/AdminBundle/Entity/TypeSalle.php
<?php

namespace AdminBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TypeSalle
 *
 * @ORM\Table(name="type_salle")
 * @ORM\Entity(repositoryClass="AdminBundle\Repository\TypeSalleRepository")
 */
class TypeSalle
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="libelle", type="string", length=255)
     */
    private $libelle;


    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set libelle
     *
     * @param string $libelle
     * @return TypeSalle
     */
    public function setLibelle($libelle)
    {
        $this->libelle = $libelle;

        return $this;
    }

    /**
     * Get libelle
     *
     * @return string 
     */
    public function getLibelle()
    {
        return $this->libelle;
    }
}

src/AdminBundle/Form/TypeSalleType.php
<?php

namespace AdminBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class TypeSalleType extends AbstractType
{
    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('libelle', 'text', array(
              'label'=>'Libellé',
              'attr'=>array(
                'class'=>'form-control',
                'style'=>'margin-bottom: 10px'
              )
            ))
        ;
    }

    /**
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'AdminBundle\Entity\TypeSalle'
        ));
    }
}

src/AdminBundle/Controller/TypeSalleController.php
<?php

namespace AdminBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use AdminBundle\Entity\TypeSalle;
use AdminBundle\Form\TypeSalleType;
use Symfony\Component\HttpFoundation\Request;

class TypeSalleController extends Controller
{
  public function addAction(Request $request)
  {
    $em = $this->getDoctrine()->getManager();
    $newTypeSalle = new TypeSalle();
    $form = $this->createForm(new TypeSalleType(), $newTypeSalle);
    $form->handleRequest($request);
    if($request->getMethod() == 'POST'){
      if($form->isValid()){
        $em->persist($newTypeSalle);
        $em->flush();
        return $this->redirect($this->generateUrl('admin_type_salle_list'));
      }
    }
    return $this->render('AdminBundle:TypeSalle:add.html.twig', array(
      'form' => $form->createView(),
    ));
  }

  public function listAction()
  {
    $em = $this->getDoctrine()->getManager();
    $typeSalles = $em->getRepository('AdminBundle:TypeSalle')->findAll();
    $typeEvenements = $em->getRepository('AdminBundle:TypeEvenement')->findAll();
    $equipements = $em->getRepository('AdminBundle:Equipement')->findAll();
    return $this->render('AdminBundle:TypeSalle:list.html.twig', array(
      'typeSalles'=>$typeSalles,
      'typeEvenements'=>$typeEvenements,
      'equipements'=>$equipements,
    ));
  }

  public function editAction($id, Request $request){
    $em = $this->getDoctrine()->getManager();
    $typeSalle = $em->getRepository('AdminBundle:TypeSalle')->find($id);
    $form = $this->createForm(new TypeSalleType(), $typeSalle);
    $form->handleRequest($request);
    if($request->getMethod() == 'POST'){
      if($form->isValid()){
        $em->persist($typeSalle);
        $em->flush();
        return $this->redirect($this->generateUrl('admin_type_salle_list'));
      }
    }
    return $this->render('AdminBundle:TypeSalle:edit.html.twig', array(
      'form' => $form->createView(),
    ));
  }

  public function deleteAction($id){
    $em = $this->getDoctrine()->getManager();
    $typeSalle = $em->getRepository('AdminBundle:TypeSalle')->find($id);
    $em->remove($typeSalle);
    $em->flush();
    return $this->redirect($this->generateUrl('admin_type_salle_list'));
  }
}

src/AdminBundle/Resources/views/TypeSalle/add.html.twig
{% extends '::base_admin.html.twig'%}
{%block body%}
<div class="row">
  <div class="col-md-12">
    <h3>Ajouter un équipement</h3><br/>
    {{ form_start(form) }}
    <div class="row">
      <div class="col-md-5">

            {{ form_label(form.libelle, "Libellé") }}
            {{ form_errors(form.libelle) }}
            {{ form_widget(form.libelle) }}
            {{ form_widget(form) }}
      </div>
    </div>

    <br/>
    <button type="submit" class="btn btn-danger">Enrégistrer</button>
    {{ form_end(form) }}
  </div>
</div>
{%endblock%}

src/AdminBundle/Resources/views/TypeSalle/edit.html.twig
{% extends '::base_admin.html.twig'%}
{%block body%}
<div class="row">
  <div class="col-md-12">
    <h3>Modifier le type de salle</h3><br/>
    {{ form_start(form) }}
    <div class="row">
      <div class="col-md-5">

            {{ form_label(form.libelle, "Libellé") }}
            {{ form_errors(form.libelle) }}
            {{ form_widget(form.libelle) }}
            {{ form_widget(form) }}
      </div>
    </div>

    <br/>
    <button type="submit" class="btn btn-danger">Enrégistrer</button>
    {{ form_end(form) }}
  </div>
</div>
{%endblock%}

src/AdminBundle/Resources/views/TypeSalle/list.html.twig
{% extends '::base_admin.html.twig'%}
{%block body%}
<div class="row">
  <div class="col-md-6">
    <div><a href="{{path('admin_type_salle_add')}}" class="btn btn-default">Ajouter un type de salle</a></div><br/>
    <table class="table table-bordered">
      <thead>
        <tr>
          <th>N°</th>
          <th>Libellé</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>
        {%for t in typeSalles%}
        <tr>
          <td>{{loop.index}}</td>
          <td>{{t.libelle}}</td>
          <td>
            <a href="{{path('admin_type_salle_edit', {'id': t.id})}}" class="" title="Modifier"><i class="ti-pencil-alt" style="color: black"></i></a>
            <a href="{{path('admin_type_salle_delete', {'id': t.id})}}" class="" title="Supprimer"><i class="ti-trash" style="color: black"></i></a>
          </td>
        </tr>
        {%endfor%}
      </tbody>
    </table>
  </div>
  <div class="col-md-6">
    <div>  <a href="{{path('admin_type_evenement_add')}}" class="btn btn-default">Ajouter un type d'événement</a></div><br/>

    <table class="table table-bordered">
      <thead>
        <tr>
          <th>N°</th>
          <th>Libellé</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>
        {%for t in typeEvenements%}
        <tr>
          <td>{{loop.index}}</td>
          <td>{{t.libelle}}</td>
          <td>
            <a href="{{path('admin_type_evenement_edit', {'id': t.id})}}" class="" title="Modifier"><i class="ti-pencil-alt" style="color: black"></i></a>
            <a href="{{path('admin_type_evenement_delete', {'id': t.id})}}" class="" title="Supprimer"><i class="ti-trash" style="color: black"></i></a>
          </td>
        </tr>
        {%endfor%}
      </tbody>
    </table>
  </div>
</div><br/>
<div class="row">
  <div class="col-md-12">
    <div>  <a href="{{path('admin_equipement_add')}}" class="btn btn-default">Ajouter un équipement</a></div><br/>

    <table class="table table-bordered">
      <thead>
        <tr>
          <th>N°</th>
          <th>Icone</th>
          <th>Libellé</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>
        {%for e in equipements%}
        <tr>
          <td>{{loop.index}}</td>
          <td>
            {%if e.icon and e.icon.url%}
            <img src="{{asset(e.icon.webPath)}}"/>
            {%endif%}
          </td>
          <td>{{e.libelle}}</td>
          <td>
            <a href="{{path('admin_equipement_edit', {'id': e.id})}}" class="" title="Modifier"><i class="ti-pencil-alt" style="color: black"></i></a>
            <a href="{{path('admin_equipement_delete', {'id': e.id})}}" class="" title="Supprimer"><i class="ti-trash" style="color: black"></i></a>
          </td>
        </tr>
        {%endfor%}
      </tbody>
    </table>
  </div>
</div>
{%endblock%}